package builderimp

import (
	"github.com/tech/sendico/pkg/db/repository/builder"
)

type valueImp struct {
	value any
}

func (v *valueImp) Build() any {
	return v.value
}

func NewValue(value any) builder.Value {
	return &valueImp{value: value}
}
